tclap: TCLAP::Constraint< T > Class Template Reference

tclap 1.2.5

Public Member Functions | Static Public Member Functions | List of all members
TCLAP::Constraint< T > Class Template Referenceabstract

The interface that defines the interaction between the Arg and Constraint. More...

`#include <Constraint.h>`

Inheritance diagram for TCLAP::Constraint< T >:
[legend]

## Public Member Functions
virtual std::string | description () const =0
| Returns a description of the Constraint. More...
virtual std::string | shortID () const =0
| Returns the short ID for the Constraint. More...
virtual bool | check (const T &value) const =0
| The method used to verify that the value parsed from the command line meets the constraint. More...
virtual | ~Constraint ()
| Destructor. More...

## Static Public Member Functions
static std::string | shortID (Constraint< T > *constraint)

## Detailed Description

### template<class T>
class TCLAP::Constraint< T >

The interface that defines the interaction between the Arg and Constraint.

Definition at line 42 of file Constraint.h.

## Constructor & Destructor Documentation

## ◆ ~Constraint()

template<class T >

virtual TCLAP::Constraint< T >::~Constraint | ( |  | ) |
| inlinevirtual

Destructor.

Silences warnings about Constraint being a base class with virtual functions but without a virtual destructor.

Definition at line 68 of file Constraint.h.

## Member Function Documentation

## ◆ check()

template<class T >

virtual bool TCLAP::Constraint< T >::check | ( | const T & | value | ) | const
| pure virtual

The method used to verify that the value parsed from the command line meets the constraint.

Parameters

  value | - The value that will be checked.

Implemented in TCLAP::ValuesConstraint< T >.

## ◆ description()

template<class T >

virtual std::string TCLAP::Constraint< T >::description | ( |  | ) | const
| pure virtual

Returns a description of the Constraint.

Implemented in TCLAP::ValuesConstraint< T >.

## ◆ shortID() [1/2]

template<class T >

virtual std::string TCLAP::Constraint< T >::shortID | ( |  | ) | const
| pure virtual

Returns the short ID for the Constraint.

Implemented in TCLAP::ValuesConstraint< T >.

Referenced by TCLAP::Constraint< T >::shortID().

## ◆ shortID() [2/2]

template<class T >

static std::string TCLAP::Constraint< T >::shortID | ( | Constraint< T > * | constraint | ) |
| inlinestatic

Definition at line 70 of file Constraint.h.

References TCLAP::Constraint< T >::shortID().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- Constraint.h